Package org.apache.nutch.microformats.reltag

# Class RelTagIndexingFilter

java.lang.Object
org.apache.nutch.microformats.reltag.RelTagIndexingFilter

All Implemented Interfaces:
  `Configurable`, `IndexingFilter`, `Pluggable`

public class RelTagIndexingFilter extends Object implements IndexingFilter
An `IndexingFilter` that add `tag` field(s) to the document.

Author:
  Jérôme Charron
See Also:
  - http://www.microformats.org/wiki/rel-tag

- ## Field Summary

  ### Fields inherited from interface org.apache.nutch.indexer.IndexingFilter

  `X_POINT_ID`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RelTagIndexingFilter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `NutchDocument`
  `filter(NutchDocument doc, Parse parse, Text url, CrawlDatum datum, Inlinks inlinks)`
  Adds fields or otherwise modifies the document that will be indexed for a parse.
  `Configuration`
  `getConf()`
  `void`
  `setConf(Configuration conf)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RelTagIndexingFilter

    public RelTagIndexingFilter()

- ## Method Details

  - ### filter

    public NutchDocument filter(NutchDocument doc, Parse parse, Text url, CrawlDatum datum, Inlinks inlinks) throws IndexingException
    Description copied from interface: `IndexingFilter`
    Adds fields or otherwise modifies the document that will be indexed for a parse. Unwanted documents can be removed from indexing by returning a null value.
    Specified by:
      `filter` in interface `IndexingFilter`
    Parameters:
      `doc` - document instance for collecting fields
      `parse` - parse data instance
      `url` - page url
      `datum` - crawl datum for the page (fetch datum from segment containing fetch status and fetch time)
      `inlinks` - page inlinks
    Returns:
      modified (or a new) document instance, or null (meaning the document should be discarded)
    Throws:
      `IndexingException` - if an error occurs during during filtering

  - ### setConf

    public void setConf(Configuration conf)
    Specified by:
      `setConf` in interface `Configurable`

  - ### getConf

    public Configuration getConf()
    Specified by:
      `getConf` in interface `Configurable`